Loading...
Searching...
No Matches
jfs_superblock Struct Reference

`#include <jfs_superblock.h>`

## Data Fields

u64 | minFree
s16 | pad
u64 | realFree
u8 | rsrvd4 [7]
u32 | s_agsize
pxd_t | s_aim2
pxd_t | s_ait2
char | s_attach
s32 | s_bsize
s32 | s_compress
u32 | s_flag
char | s_fpack [11]
s8 | s_fscklog
s32 | s_fsckloglen
pxd_t | s_fsckpxd
s16 | s_l2bfactor
s16 | s_l2bsize
s16 | s_l2pbsize
u32 | s_logdev
pxd_t | s_logpxd
s32 | s_logserial
char | s_magic [4]
s32 | s_pbsize
s64 | s_size
u32 | s_state
struct timestruc_t | s_time
u32 | s_version
pxd_t | s_xfsckpxd
pxd_t | s_xlogpxd
s64 | s_xsize
u64 | totalUsable

## Field Documentation

## minFree

u64 jfs_superblock::minFree

## pad

s16 jfs_superblock::pad

## realFree

u64 jfs_superblock::realFree

## rsrvd4

u8 jfs_superblock::rsrvd4[7]

## s_agsize

u32 jfs_superblock::s_agsize

## s_aim2

pxd_t jfs_superblock::s_aim2

## s_ait2

pxd_t jfs_superblock::s_ait2

## s_attach

char jfs_superblock::s_attach

## s_bsize

s32 jfs_superblock::s_bsize

## s_compress

s32 jfs_superblock::s_compress

## s_flag

u32 jfs_superblock::s_flag

## s_fpack

char jfs_superblock::s_fpack[11]

## s_fscklog

s8 jfs_superblock::s_fscklog

## s_fsckloglen

s32 jfs_superblock::s_fsckloglen

## s_fsckpxd

pxd_t jfs_superblock::s_fsckpxd

## s_l2bfactor

s16 jfs_superblock::s_l2bfactor

## s_l2bsize

s16 jfs_superblock::s_l2bsize

## s_l2pbsize

s16 jfs_superblock::s_l2pbsize

## s_logdev

u32 jfs_superblock::s_logdev

## s_logpxd

pxd_t jfs_superblock::s_logpxd

## s_logserial

s32 jfs_superblock::s_logserial

## s_magic

char jfs_superblock::s_magic[4]

## s_pbsize

s32 jfs_superblock::s_pbsize

## s_size

s64 jfs_superblock::s_size

## s_state

u32 jfs_superblock::s_state

## s_time

struct timestruc_t jfs_superblock::s_time

## s_version

u32 jfs_superblock::s_version

## s_xfsckpxd

pxd_t jfs_superblock::s_xfsckpxd

## s_xlogpxd

pxd_t jfs_superblock::s_xlogpxd

## s_xsize

s64 jfs_superblock::s_xsize

## totalUsable

u64 jfs_superblock::totalUsable

The documentation for this struct was generated from the following file:

- libparted/fs/jfs/jfs_superblock.h